Page MenuHomePhabricator

Nicely document possible configuration options for Wikibase Repository and Wikibase Client installations
Closed, ResolvedPublic

Description

Documentation of advanced configuration options for Wikibase Repository and Client were moved to https://www.mediawiki.org/wiki/Wikibase/Installation/Advanced_configuration.
The information there might be partially outdated and wrong. We should clean it up and document possible options in a nice and structured way.

Event Timeline

Mvolz added a subscriber: Mvolz.Sep 27 2018, 11:30 AM
lucamauri removed a subscriber: lucamauri.
Restricted Application added a project: User-Addshore. ยท View Herald TranscriptJan 2 2020, 5:45 PM
Addshore moved this task from incoming to in progress on the Wikidata board.

Change 561680 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] docs, overhaul 'options' docs

https://gerrit.wikimedia.org/r/561680

Change 561680 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] docs, overhaul 'options' docs

https://gerrit.wikimedia.org/r/561680

@Addshore it is unclear for me from the task description whether adding a link to https://www.mediawiki.org/wiki/Wikibase/Installation/Advanced_configuration leading to the central docs place https://github.com/wikimedia/mediawiki-extensions-Wikibase/tree/master/docs is completing the task, or whether the further changes to https://www.mediawiki.org/wiki/Wikibase/Installation/Advanced_configuration wiki page is supposed to happen under the umbrella of this task?

I think lots of other changes will be needed in both these docs and mw.org in the not too distant future when we pickup the "docs" topic for wikibase properly.

Perhaps we should just move this from the iteration for now until that happens and this is finally cleaned up further?

WMDE-leszek closed this task as Resolved.Jan 15 2020, 7:55 AM

Sounds good to me. I'd even go as far as closing this one. Whenever the need arises to have a dedicated task to do another "centralized" update/improve/whatever of the docs, let's open the new task.